JP2Strings (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg2000
Class JP2Strings

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg2000.JP2Strings

    public final class JP2Strings

extends java.lang.Object

String constants for JPEG 2000 module. This module contains no code, and all data are static.

Author:
  Gary McGath

Field Summary
`static int[]` | `approxIdx` Indexes for approxStr.
`static java.lang.String[]` | `approxStr` Strings for the approx field of the color specification box, indexed by approxIdx.
`static int[]` | `ctypIdx` Indexes for ctypStr.
`static java.lang.String[]` | `ctypStr` Strings for the channel type field of the channel definition box, indexed by ctypIdx.
`static java.lang.String[]` | `digitalSigPtrTypeStr` Strings for pointer types in the Digital Signature Box.
`static java.lang.String[]` | `digitalSigTypeStr` Strings for types in the Digital Signature Box.
`static java.lang.String[]` | `enumCSStr` Strings for values of enumCS in the color specification box.
`static java.lang.String[]` | `inCodestreamStr` Strings for the "region of interest present in codestream" field of the ROI box.
`static java.lang.String[]` | `methodStr` Strings for method values in the color specification box.
`static java.lang.String[]` | `mtypStr` Strings for the MTYP field of the Component Mapping box.
`static java.lang.String[]` | `numberListTypeStr` Strings for the number type value in the Number List box.
`static java.lang.String[]` | `opacityTypeStr` Strings for the opacity type in the Opacity Box.
`static java.lang.String[]` | `roiTypeStr` Strings for the region type field of the ROI box.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### methodStr

    public static final java.lang.String[] methodStr

  Strings for method values in the color specification box.

### enumCSStr

    public static final java.lang.String[] enumCSStr

  Strings for values of enumCS in the color specification box. Only values 16-17 are recognized by JP2.

### mtypStr

    public static final java.lang.String[] mtypStr

  Strings for the MTYP field of the Component Mapping box.

### opacityTypeStr

    public static final java.lang.String[] opacityTypeStr

  Strings for the opacity type in the Opacity Box.

### numberListTypeStr

    public static final java.lang.String[] numberListTypeStr

  Strings for the number type value in the Number List box. Types must be normalized by shifting the high byte right 24 bits before indexing.

### digitalSigTypeStr

    public static final java.lang.String[] digitalSigTypeStr

  Strings for types in the Digital Signature Box.

### digitalSigPtrTypeStr

    public static final java.lang.String[] digitalSigPtrTypeStr

  Strings for pointer types in the Digital Signature Box.

### inCodestreamStr

    public static final java.lang.String[] inCodestreamStr

  Strings for the "region of interest present in codestream" field of the ROI box.

### roiTypeStr

    public static final java.lang.String[] roiTypeStr

  Strings for the region type field of the ROI box.

### ctypStr

    public static final java.lang.String[] ctypStr

  Strings for the channel type field of the channel definition box, indexed by ctypIdx.

### ctypIdx

    public static final int[] ctypIdx

  Indexes for ctypStr.

### approxStr

    public static final java.lang.String[] approxStr

  Strings for the approx field of the color specification box, indexed by approxIdx. A zero value will be reported as an Integer property of 0.

### approxIdx

    public static final int[] approxIdx

  Indexes for approxStr.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD